<?php
class cPresentacion{
	function insertar($nom,$est,$pro_id){
		$sql = "INSERT INTO tb_presentacion(
		tb_empaque_id ,
		tb_presentacion_est ,
		tb_producto_id
		)
		VALUES ('$nom','$est','$pro_id')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function modificar($id,$emp_id){
		$sql = "UPDATE  tb_presentacion SET  
		`tb_empaque_id` =  '$emp_id'
		WHERE tb_presentacion_id ='$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsert(){
		$sql = "select MAX(tb_presentacion_id) as 'id' from tb_presentacion"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrar_por_producto($pro_id){
		$sql="SELECT * 
		FROM tb_presentacion pr
		WHERE tb_producto_id=$pro_id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_por_producto_res($pro_id){
		$sql="SELECT * 
		FROM tb_presentacion
		WHERE tb_producto_id=$pro_id
		AND tb_presentacion_idr=0
		";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_por_producto_cmb($pro_id){
		$sql="SELECT * 
		FROM tb_presentacion
		WHERE tb_producto_id=$pro_id
		ORDER BY tb_presentacion_reg DESC";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_por_producto_cmb_res($pro_id){
		$sql="SELECT * 
		FROM tb_presentacion
		WHERE tb_producto_id=$pro_id
		AND tb_presentacion_res=1
		ORDER BY tb_presentacion_reg DESC";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_por_presentacion($tar_id){
		$sql="SELECT * 
		FROM tb_presentacion
		WHERE tb_presentacion_idr=$tar_id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_presentacion
		WHERE tb_presentacion_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function complete_nom($dato,$limt){
		$sql="SELECT *
		FROM tb_presentacion
		WHERE tb_empaque_id LIKE '%$dato%'
		GROUP BY tb_empaque_id
		LIMIT 0,$limit
		";
		echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}
	function complete_cod($dato){
		$sql="SELECT *
		FROM tb_presentacion
		WHERE tb_presentacion_codbar LIKE '%$dato%'
		GROUP BY tb_presentacion_codbar
		LIMIT 0,12
		";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}
	
	function modificar_codigo($id,$cod){
		$sql = "UPDATE tb_presentacion SET tb_presentacion_codbar='$cod' WHERE tb_presentacion_id=$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function modificar_codigobarras($id, $codbar){
		$sql = "UPDATE tb_presentacion SET tb_presentacion_codbar='$codbar' WHERE tb_presentacion_id=$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function actualizar_stock($id,$sto){
		$sql = "UPDATE  tb_presentacion SET  
		`tb_presentacion_sto` =  '$sto'
		WHERE tb_presentacion_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function verifica_presentacion_tabla($id,$tabla){
		$sql = "SELECT * 
		FROM  $tabla 
		WHERE tb_presentacion_id =$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
}
?>